%define upstream_name    Net-Travis-API
%define upstream_version 0.002001

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Anything that fetches from Travis and returns JSON data
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(HTTP::Tiny::UA::Response)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(Moo)
BuildRequires: perl(Moo::Role)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI)
BuildRequires: perl(mro)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This class warps extends 'HTTP::Tiny::UA::Response' and adds a few utility
methods and features that either

* 1. Have not yet been approved for merge

  * * https://github.com/dagolden/HTTP-Tiny-UA/pull/3

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc INSTALL.SKIP LICENSE Changes README META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.2.1-5.mga10
+ Revision: 2211787
- Mageia 10 Mass Rebuild

* Mon Mar 28 2022 umeabot <umeabot> 0.2.1-4.mga9
+ Revision: 1830164
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.2.1-3.mga8
+ Revision: 1505621
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.2.1-2.mga7
+ Revision: 1285270
- Mageia 7 Mass Rebuild

* Tue Apr 10 2018 kekepower <kekepower> 0.2.1-1.mga7
+ Revision: 1217278
- imported package perl-Net-Travis-API


* Tue Apr 10 2018 cpan2dist 0.002001-1mga
- initial mageia release, generated with cpan2dist
